Mail archive
alpine-aports

[alpine-aports] [PATCH] main/py-pygments: upgrade to 2.0.2

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Thu, 23 Jul 2015 00:34:38 -0500

---
 main/py-pygments/APKBUILD | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)
diff --git a/main/py-pygments/APKBUILD b/main/py-pygments/APKBUILD
index 79d942f..cf63c89 100644
--- a/main/py-pygments/APKBUILD
+++ b/main/py-pygments/APKBUILD
_at_@ -1,8 +1,8 @@
-# Contributor: Matt Smith <mcs_at_darkregion.net>
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
 # Maintainer: Matt Smith <mcs_at_darkregion.net>
 pkgname=py-pygments
 _pkgname=Pygments
-pkgver=1.6
+pkgver=2.0.2
 pkgrel=0
 pkgdesc="A syntax highlighting package written in Python."
 url="http://pygments.org/"
_at_@ -40,23 +40,22 @@ doc() {
 			|| return 1
 	done
 
-	install -Dm644 docs/pygmentize.1 \
+	install -Dm644 doc/pygmentize.1 \
 		"$subpkgdir"/usr/share/man/man1/pygmentize.1 || return 1
-	install -Dm644 docs/generate.py \
-		"$subpkgdir"/usr/share/doc/$pkgname/generate.py || return 1
-	for _dir in build src; do
-		mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/$_dir || return 1
-		cp -R ./docs/$_dir/* \
-			"$subpkgdir"/usr/share/doc/$pkgname/$_dir/ || return 1
-		chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/$_dir/ \
-			|| return 1
-	done
+
+	# Note: The documentation in the doc directory needs to be generated
+	# by py-sphinx
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/docs || return 1
+	cp -R ./doc/* "$subpkgdir"/usr/share/doc/$pkgname/docs/ || return 1
+	chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/docs/ || return 1
+	rm -f "$subpkgdir"/usr/share/doc/$pkgname/docs/make.bat || return 1
+	rm -f "$subpkgdir"/usr/share/doc/$pkgname/docs/pygmentize.1 || return 1
 
 	# Fix subdir perms
 	find "$subpkgdir"/usr/share/doc/$pkgname/ -type d \
 		-exec chmod 755 '{}' \; || return 1
 }
 
-md5sums="a18feedf6ffd0b0cc8c8b0fbdb2027b1  Pygments-1.6.tar.gz"
-sha256sums="799ed4caf77516e54440806d8d9cd82a7607dfdf4e4fb643815171a4b5c921c0  Pygments-1.6.tar.gz"
-sha512sums="552d0c2a1296773a5482122bd5cbec0ce91a497cd86ee105e1c5ddf2bfa9c206fcc7de504c6da480344c6e1bee30d7b26012fd061dcb2091d8b2b21bcd163bf0  Pygments-1.6.tar.gz"
+md5sums="238587a1370d62405edabd0794b3ec4a  Pygments-2.0.2.tar.gz"
+sha256sums="7320919084e6dac8f4540638a46447a3bd730fca172afc17d2c03eed22cf4f51  Pygments-2.0.2.tar.gz"
+sha512sums="b58e2cc535ba3f1fda7cb147e12af128bc2755de56cf465f8f1d642730eaef50c06551cc4cc44f25f726b00f3f1c9c2078977233b11c0b6a7e1add6a4069c27e  Pygments-2.0.2.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jul 23 2015 - 00:34:38 GMT